Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.zip
Class UnicodePathExtraField

    java.lang.Object
      org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField
          org.apache.commons.compress.archivers.zip.UnicodePathExtraField

All Implemented Interfaces:
  ZipExtraField

    public class UnicodePathExtraField

extends AbstractUnicodeExtraField

Info-ZIP Unicode Path Extra Field (0x7075):

Stores the UTF-8 version of the file name field as stored in the local header and central directory header.

             Value         Size        Description
             -----         ----        -----------
     (UPath) 0x7075        Short       tag for this extra block type ("up")
             TSize         Short       total data size for this block
             Version       1 byte      version of this extra field, currently 1
             NameCRC32     4 bytes     File Name Field CRC32 Checksum
             UnicodeName   Variable    UTF-8 version of the entry File Name

This class is not thread-safe
  super-class is not thread-safe

Field Summary
`static ZipShort` | `UPATH_ID`

Constructor Summary
`UnicodePathExtraField()`
`UnicodePathExtraField(String name, byte[] bytes)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.
`UnicodePathExtraField(String text, byte[] bytes, int off, int len)` Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

Method Summary
`ZipShort` | `getHeaderId()` The Header-ID.

Methods inherited from class org.apache.commons.compress.archivers.zip.AbstractUnicodeExtraField
`getCentralDirectoryData, getCentralDirectoryLength, getLocalFileDataData, getLocalFileDataLength, getNameCRC32, getUnicodeName, parseFromCentralDirectoryData, parseFromLocalFileData, setNameCRC32, setUnicodeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UPATH_ID

    public static final ZipShort UPATH_ID

Constructor Detail

### UnicodePathExtraField

    public UnicodePathExtraField()

### UnicodePathExtraField

    public UnicodePathExtraField(String text,
                                 byte[] bytes,
                                 int off,
                                 int len)

  Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

  Parameters:
    `text` - The file name
    `bytes` - the bytes actually written to the archive
    `off` - The offset of the encoded filename in `bytes`.
    `len` - The length of the encoded filename or comment in `bytes`.

### UnicodePathExtraField

    public UnicodePathExtraField(String name,
                                 byte[] bytes)

  Assemble as unicode path extension from the name given as text as well as the encoded bytes actually written to the archive.

  Parameters:
    `name` - The file name
    `bytes` - the bytes actually written to the archive

Method Detail

### getHeaderId

    public ZipShort getHeaderId()

  The Header-ID.

  Returns:
    The HeaderId value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation. All Rights Reserved.